/**
	Haed a free program maker and generator
	Copyright (C) 2018  Florian Evaldsson

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
#pragma once

#include "includes.h"

/*
Vid sparning eller körning så fuckas generate game parent upp!
eks_parent_insert kan vara anledningen
*/

#ifdef  MAIN_FILE
const char *MOV_TYPES[2]={"none","all_directions"};
#else
extern const char *MOV_TYPES[2];
#endif

void haed_visual_add_all_objects(EksParent *programParent);

void SaveFile_tl(char *Name, char *Text,size_t textlen);

#define SaveFile(name,text) SaveFile_tl(name,text,strlen(text)) 

char *zip_get_file_contents(char *filename,struct zip *z,struct zip_stat *st,int *contentsLength);

char *get_file_contents(char *filename,long *contentsLength);

char *get_file_type(char *filename);

EksParent *haed_eks_generate_program_parent(int compress);

void haed_eks_set_triggers_from_parent(EksParent *program);

void haed_eks_set_objects_from_parent(EksParent *AOEksParent);

int haed_open_filetype_hft(char *filename);

int haed_open_filetype_eks_program(char *filename);

void haed_clean_everything(GtkWidget *widget,gpointer data);

void haed_load_program(GtkWidget *widget,gpointer data);

void haed_save_program(char *fileName);

void haed_gui_save_as(GtkWidget *widget,gpointer data);

void haed_gui_save(GtkWidget *widget,gpointer data);

void haed_run(GtkWidget *widget,gpointer data);
