/**
	Haed a free program maker and generator
	Copyright (C) 2018  Florian Evaldsson

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
#include "includes.h"

//==========================Get Number=======================

char *haed_compare_dialog(void)
{
	char *ReturnString=NULL;
	//tempAOGUI_SEND=tempAOGUI;
	
	//GtkWidget *AllDirectionsNotebook;
	//GtkWidget *SetDirectionsGird;
	GtkWidget *TypeWindow;
	GtkWidget *SetSpeedGird;
	
	GtkWidget *EntryField;
	GtkWidget *SetSpeedInfo;
	GtkWidget *animationDropDown;
	
	const char *eq="== (equals)";
	const char *neq="!= (not equal)";
	const char *gr="< (greater)";
	const char *sm="> (smaller)";
	const char *greq="<= (greater and equal)";
	const char *smeq=">= (smaller and equal)";
	
	
	TypeWindow = gtk_dialog_new();
	//gtk_window_set_title(GTK_WINDOW(TypeWindow), "Edit Movement (All Directions)");
	//gtk_window_set_default_size(GTK_WINDOW(TypeWindow), 300, 200);
	g_signal_connect (GTK_WIDGET (TypeWindow), "destroy",G_CALLBACK (gtk_widget_destroy), NULL);
	
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Ok"),GTK_RESPONSE_YES);
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Cancel"),GTK_RESPONSE_NO);
	//AllDirectionsNotebook=gtk_notebook_new();
		SetSpeedGird=gtk_dialog_get_content_area(GTK_DIALOG(TypeWindow));
			
			//SET SPEED
			SetSpeedInfo=gtk_label_new("Type something");
			gtk_box_pack_start(GTK_BOX(SetSpeedGird),SetSpeedInfo,0,0,0);
	
			animationDropDown=gtk_combo_box_text_new();
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,eq);
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,neq);
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,gr);
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,sm);
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,greq);
				gtk_combo_box_text_append(GTK_COMBO_BOX_TEXT(animationDropDown),NULL,smeq);
			
				gtk_combo_box_set_active(GTK_COMBO_BOX(animationDropDown),0);
				//g_signal_connect (animationDropDown, "changed",G_CALLBACK (haed_draw_change_move_type), NULL);
			gtk_box_pack_start(GTK_BOX(SetSpeedGird),animationDropDown,0,0,0);
	
			EntryField = gtk_entry_new();
			gtk_box_pack_start(GTK_BOX(SetSpeedGird),EntryField,0,0,0);

	gtk_widget_show_all(TypeWindow);
	
	if(gtk_dialog_run(GTK_DIALOG(TypeWindow))==GTK_RESPONSE_YES)
	{
		char *comptext=gtk_combo_box_text_get_active_text(GTK_COMBO_BOX_TEXT(animationDropDown));
		const char *compres=NULL;
		
		if(strcmp(comptext,eq)==0)
			compres="==";
		else if(strcmp(comptext,neq)==0)
			compres="!=";
		else if(strcmp(comptext,gr)==0)
			compres="<";
		else if(strcmp(comptext,sm)==0)
			compres=">";
		else if(strcmp(comptext,greq)==0)
			compres="<=";
		else if(strcmp(comptext,smeq)==0)
			compres=">=";
		
		ReturnString=concat(compres,(char*)gtk_entry_get_text(GTK_ENTRY(EntryField)),NULL);
		gtk_widget_destroy(TypeWindow);

		return ReturnString;
		//return SelectMovementReturn;
	}
	else
	{
		gtk_widget_destroy(TypeWindow);
		b_error_message("Could not get object!\n");
		//tempAOGUI_SEND=NULL;
		return NULL;
		//return NULL;
	}
}

//==========================Get text====================

char *EnterCode(void)
{
	char *ReturnString=NULL;
	//tempAOGUI_SEND=tempAOGUI;
	
	//GtkWidget *AllDirectionsNotebook;
	//GtkWidget *SetDirectionsGird;
	GtkWidget *TypeWindow;
	GtkWidget *SetSpeedGird;
	
	GtkWidget *EntryField;
	GtkWidget *SetSpeedInfo;
	
	//1=active object
	//tempAOGUI->movType=1;
	
	TypeWindow = gtk_dialog_new();
	//gtk_window_set_title(GTK_WINDOW(TypeWindow), "Edit Movement (All Directions)");
	//gtk_window_set_default_size(GTK_WINDOW(TypeWindow), 300, 200);
	g_signal_connect (GTK_WIDGET (TypeWindow), "destroy",G_CALLBACK (gtk_widget_destroy), NULL);
	
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Ok"),GTK_RESPONSE_YES);
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Cancel"),GTK_RESPONSE_NO);
	//AllDirectionsNotebook=gtk_notebook_new();
		SetSpeedGird=gtk_dialog_get_content_area(GTK_DIALOG(TypeWindow));
			
			//SET SPEED
			SetSpeedInfo=gtk_label_new("Type something");
			
			gtk_box_pack_start(GTK_BOX(SetSpeedGird),SetSpeedInfo,0,0,0);
	
			EntryField = gtk_entry_new();
				//g_signal_connect (SetSpeedSpinButton, "value-changed", G_CALLBACK (ModifySpeed), (void*)0);
				
				//tempAOGUI->speed==NULL?gtk_spin_button_set_value(GTK_SPIN_BUTTON(SetSpeedSpinButton),50):gtk_spin_button_set_value(GTK_SPIN_BUTTON(SetSpeedSpinButton),tempAOGUI->speed[0]);
				
			gtk_box_pack_start(GTK_BOX(SetSpeedGird),EntryField,0,0,0);

		//gtk_notebook_insert_page(GTK_NOTEBOOK(AllDirectionsNotebook),SetSpeedGird,gtk_label_new("Set Speed"),-1);
	
		//SetDirectionsGird=gtk_box_new(GTK_ORIENTATION_HORIZONTAL,1);

		//gtk_notebook_insert_page(GTK_NOTEBOOK(AllDirectionsNotebook),SetDirectionsGird,gtk_label_new("Set Directions"),-1);
	//gtk_container_add(GTK_CONTAINER(gtk_dialog_get_content_area(GTK_DIALOG(TypeWindow))),EntryField);
	
	gtk_widget_show_all(TypeWindow);
	
	if(gtk_dialog_run(GTK_DIALOG(TypeWindow))==GTK_RESPONSE_YES)
	{
		ReturnString=g_strndup((char*)gtk_entry_get_text(GTK_ENTRY(EntryField)),strlen((char*)gtk_entry_get_text(GTK_ENTRY(EntryField))));
		gtk_widget_destroy(TypeWindow);
		//tempAOGUI_SEND=NULL;
		return ReturnString;
		//return SelectMovementReturn;
	}
	else
	{
		gtk_widget_destroy(TypeWindow);
		b_error_message("Could not get object!\n");
		//tempAOGUI_SEND=NULL;
		return NULL;
		//return NULL;
	}
}

char *haed_window_compare_field(char **operator)
{
	char *ReturnString=NULL;

	GtkWidget *TypeWindow;
	GtkWidget *SetSpeedGird;
	
	GtkWidget *EntryField;
	GtkWidget *SetSpeedInfo;
	
	GtkWidget *tempWidget;
	
	//1=active object
	//tempAOGUI->movType=1;
	
	TypeWindow = gtk_dialog_new();
	g_signal_connect (GTK_WIDGET (TypeWindow), "destroy",G_CALLBACK (gtk_widget_destroy), NULL);
	
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Ok"),GTK_RESPONSE_YES);
	gtk_dialog_add_button(GTK_DIALOG(TypeWindow),_("Cancel"),GTK_RESPONSE_NO);
	//AllDirectionsNotebook=gtk_notebook_new();
	SetSpeedGird=gtk_dialog_get_content_area(GTK_DIALOG(TypeWindow));
			
			//SET SPEED
		SetSpeedInfo=gtk_label_new("Type something");
			
		gtk_box_pack_start(GTK_BOX(SetSpeedGird),SetSpeedInfo,0,0,0);

		EntryField = gtk_entry_new();

		gtk_box_pack_start(GTK_BOX(SetSpeedGird),EntryField,0,0,0);
		
		tempWidget=gtk_button_new_with_label("EQUALS (==)");
		gtk_box_pack_start(GTK_BOX(SetSpeedGird),tempWidget,0,0,0);
	
	gtk_widget_show_all(TypeWindow);
	
	if(gtk_dialog_run(GTK_DIALOG(TypeWindow))==GTK_RESPONSE_YES)
	{
		ReturnString=g_strndup((char*)gtk_entry_get_text(GTK_ENTRY(EntryField)),strlen((char*)gtk_entry_get_text(GTK_ENTRY(EntryField))));
		gtk_widget_destroy(TypeWindow);
		//tempAOGUI_SEND=NULL;
		
		if(operator)
			(*operator) = "==";
		return ReturnString;
		//return SelectMovementReturn;
	}
	else
	{
		gtk_widget_destroy(TypeWindow);
		b_error_message("Could not get object!\n");
		//tempAOGUI_SEND=NULL;
		return NULL;
		//return NULL;
	}
}
